Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.analysis_engine.annotator
Class Annotator_ImplBase

    java.lang.Object
      org.apache.uima.analysis_engine.annotator.Annotator_ImplBase

All Implemented Interfaces:
  BaseAnnotator

Direct Known Subclasses:
  GenericAnnotator_ImplBase, JTextAnnotator_ImplBase

    public abstract class Annotator_ImplBase

extends Object
implements BaseAnnotator

Base class for annotators in UIMA SDK v1.x. As of v2.0, annotators should extend `CasAnnotator_ImplBase` or `JCasAnnotator_ImplBase`.

Constructor Summary
`Annotator_ImplBase()`

Method Summary
`void` | `destroy()` This default implementation does nothing.
`protected void` | `finalize()`
`protected AnnotatorContext` | `getContext()` Gets the `AnnotatorContext` to be used by this Annotator.
`protected TypeSystem` | `getTypeSystem()` Gets the `TypeSystem` that was passed to the most recent call to `typeSystemInit(TypeSystem)`.
`void` | `initialize(AnnotatorContext aContext)` The only thing this implementation does is store the AnnotatorContext so that it can be accessed later via the `getContext()` method.
`void` | `reconfigure()` This default implementation calls `destroy()` followed by `initialize(AnnotatorContext)` and `typeSystemInit(TypeSystem)`.
`void` | `typeSystemInit(TypeSystem aTypeSystem)` The only thing this implementation does is store the TypeSystem so that it can be accessed by the `getTypeSystem()` method, and also so that it can be passed back to the `typeSystemInit(TypeSystem)` method by the default implementation of `reconfigure()`.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Annotator_ImplBase

    public Annotator_ImplBase()

Method Detail

### initialize

    public void initialize(AnnotatorContext aContext)
                    throws AnnotatorInitializationException,
                           AnnotatorConfigurationException

  The only thing this implementation does is store the AnnotatorContext so that it can be accessed later via the `getContext()` method.

  Specified by:
    `initialize` in interface `BaseAnnotator`
  Parameters:
    `aContext` - Provides access to external resources that may be used by this annotator. This includes configuration parameters, logging and instrumentation services, and access to external analysis resources.
  Throws:
    `AnnotatorInitializationException` - if the annotator cannot initialize itself.
    `AnnotatorConfigurationException` - if the configuration specified for this annotator is invalid.
  See Also:
    `BaseAnnotator.initialize(org.apache.uima.analysis_engine.annotator.AnnotatorContext)`

### typeSystemInit

    public void typeSystemInit(TypeSystem aTypeSystem)
                        throws AnnotatorInitializationException,
                               AnnotatorConfigurationException

  The only thing this implementation does is store the TypeSystem so that it can be accessed by the `getTypeSystem()` method, and also so that it can be passed back to the `typeSystemInit(TypeSystem)` method by the default implementation of `reconfigure()`.

  Specified by:
    `typeSystemInit` in interface `BaseAnnotator`
  Throws:
    `AnnotatorInitializationException` - if the annotator cannot initialize itself.
    `AnnotatorConfigurationException` - if the configuration specified for this annotator is invalid.
  See Also:
    `BaseAnnotator.typeSystemInit(org.apache.uima.cas.TypeSystem)`

### destroy

    public void destroy()

  This default implementation does nothing.

  Specified by:
    `destroy` in interface `BaseAnnotator`
  See Also:
    `BaseAnnotator.destroy()`

### reconfigure

    public void reconfigure()
                     throws AnnotatorConfigurationException,
                            AnnotatorInitializationException

  This default implementation calls `destroy()` followed by `initialize(AnnotatorContext)` and `typeSystemInit(TypeSystem)`. The `typeSystemInit` method will be passed the last known TypeSystem.

  Specified by:
    `reconfigure` in interface `BaseAnnotator`
  Throws:
    `AnnotatorConfigurationException` - if the configuration specified for this annotator is invalid.
    `AnnotatorInitializationException` - if the annotator fails to reinitialize itself based on the new configuration.
  See Also:
    `BaseAnnotator.reconfigure()`

### getContext

    protected AnnotatorContext getContext()

  Gets the `AnnotatorContext` to be used by this Annotator. The `AnnotatorContext` provides access to external resources that may be used by this annotator. This includes configuration parameters, logging and instrumentation services, and access to text analysis resources.

  Returns:
    the Annotator Context

### getTypeSystem

    protected TypeSystem getTypeSystem()

  Gets the `TypeSystem` that was passed to the most recent call to `typeSystemInit(TypeSystem)`.

  Returns:
    the Annotator Context

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.